storm-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kabh...@apache.org
Subject [1/2] storm git commit: Add some scripts for help verifying the RC
Date Fri, 03 Feb 2017 00:35:34 GMT
Repository: storm
Updated Branches:
  refs/heads/master 9947dd115 -> a1857165d


Add some scripts for help verifying the RC

* download-rc-directory.sh downloads all files in directory from RC URL to current directory
* verify-release-file.sh verifies signature, MD5, SHA of the archive file


Project: http://git-wip-us.apache.org/repos/asf/storm/repo
Commit: http://git-wip-us.apache.org/repos/asf/storm/commit/c3872b5f
Tree: http://git-wip-us.apache.org/repos/asf/storm/tree/c3872b5f
Diff: http://git-wip-us.apache.org/repos/asf/storm/diff/c3872b5f

Branch: refs/heads/master
Commit: c3872b5fef930d981b5da34682e14b24bcd3117e
Parents: 4c5e34e
Author: Jungtaek Lim <kabhwan@gmail.com>
Authored: Wed Feb 1 13:54:05 2017 +0900
Committer: Jungtaek Lim <kabhwan@gmail.com>
Committed: Wed Feb 1 13:54:05 2017 +0900

----------------------------------------------------------------------
 dev-tools/rc/download-rc-directory.sh | 15 +++++++++
 dev-tools/rc/verify-release-file.sh   | 54 ++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/storm/blob/c3872b5f/dev-tools/rc/download-rc-directory.sh
----------------------------------------------------------------------
diff --git a/dev-tools/rc/download-rc-directory.sh b/dev-tools/rc/download-rc-directory.sh
new file mode 100755
index 0000000..196a784
--- /dev/null
+++ b/dev-tools/rc/download-rc-directory.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+TARGET_URL=$1
+
+if [ "${TARGET_URL}" == "" ];
+then
+  echo "USAGE: $0 [target url]"
+  exit 1
+fi
+
+echo "> downloading all files in RC directory..."
+
+wget -r -nH -nd -np -R "index.html*" $1
+
+echo "Done..."

http://git-wip-us.apache.org/repos/asf/storm/blob/c3872b5f/dev-tools/rc/verify-release-file.sh
----------------------------------------------------------------------
diff --git a/dev-tools/rc/verify-release-file.sh b/dev-tools/rc/verify-release-file.sh
new file mode 100755
index 0000000..56b5c31
--- /dev/null
+++ b/dev-tools/rc/verify-release-file.sh
@@ -0,0 +1,54 @@
+#!/bin/bash
+
+TARGET_FILE=$1
+
+if [ "${TARGET_FILE}" == "" ];
+then
+  echo "USAGE: $0 [target file path]"
+  exit 1
+fi
+
+echo "> checking file ${TARGET_FILE}"
+
+# verifying
+ASC_TARGET_FILE="${TARGET_FILE}.asc"
+
+echo ">> verifying signature... (${ASC_TARGET_FILE})"
+gpg --verify ${ASC_TARGET_FILE} ${TARGET_FILE}
+
+if [ $? -eq 0 ];
+then
+  echo 'Signature seems correct'
+else
+  echo 'Signature seems not correct'
+fi
+
+# checking MD5
+GPG_MD5_FILE="/tmp/${TARGET_FILE}_GPG.md5"
+gpg --print-md MD5 ${TARGET_FILE} > ${GPG_MD5_FILE}
+MD5_TARGET_FILE="${TARGET_FILE}.md5"
+
+echo ">> checking MD5 file... (${MD5_TARGET_FILE})"
+diff ${GPG_MD5_FILE} ${MD5_TARGET_FILE}
+
+if [ $? -eq 0 ];
+then
+  echo 'MD5 file is correct'
+else
+  echo 'MD5 file is not correct'
+fi
+
+# checking SHA
+GPG_SHA_FILE="/tmp/${TARGET_FILE}_GPG.sha"
+gpg --print-md SHA512 ${TARGET_FILE} > ${GPG_SHA_FILE}
+SHA_TARGET_FILE="${TARGET_FILE}.sha"
+
+echo ">> checking SHA file... (${SHA_TARGET_FILE})"
+diff /tmp/${TARGET_FILE}_GPG.sha ${SHA_TARGET_FILE}
+
+if [ $? -eq 0 ];
+then
+  echo 'SHA file is correct'
+else
+  echo 'SHA file is not correct'
+fi


Mime
View raw message